Mise en forme de code: pensez à utiliser les balises [ tcl ] et [ /tcl ] (sans les espaces bien sûr) autour de vos codes tcl afin d'avoir un meilleur rendu et une coloration syntaxique. x


Soucis de script HTTP.TCL
#1
Bonsoir,

Je viens vous voir car je rencontre actuellement un soucis quand j'essaye de lancer mon eggdrop, j'ai un message d'erreur qui s'affiche.

Voici le message.


Code:
[23:55:31] conflicting versions provided for package "http": 2.7, then 2.3
    while executing
"package provide http 2.3"
    (file "scripts/http.tcl" line 23)
    invoked from within
"source scripts/http.tcl"
    (file "bot.conf" line 109)
J'ai cherché si il y avait une autre version de http.tcl mais je ne trouve pas.

Si quelqu'un a une idée. Merci d'avance.

J'ai pris le pack HTTP.TCL disponible sur le site et maintenant j'ai cette erreur


Code:
[00:09:41] conflicting versions provided for package "http": 2.7, then 2.7.5
    while executing
"package provide http 2.7.5"
    (file "scripts/http.tcl" line 16)
    invoked from within
"source scripts/http.tcl"
    (file "bot.conf" line 109)
#2
A mon avis, tu as déjà le package http 2.7 installé, sûrement vie tcllib.
As-tu essayé de ne pas ajouter http.tcl ?
irc.zeolia.net - Offrez-moi un café
Merci de ne pas demander d'aide en MP
Away
#3
Je viens d'enlever le HTTP.TCL
dans mon fichier bot.conf, le bot se lance bien, mais je voulais savoir
ce qu'il risque de se passer si j'ai retiré donc le http.tcl ???
Y ' a t'il des choses qui risques de ne plus fonctionner ?
#4
salut
non tu n'auras pas de soucis, car ton eggdrop charge le package http 2.7 depuis la tcllib (surement). l'erreur venait du fait que tu essayais de charger une 2em version moins ressente (la 2.3) depuis ton fichier de configuration
C'est en reconnaissant ses erreurs que l'on progresse ;)
Away
#5
bin avant j'avais la 2.3 et j'ai pris la 2.7.5 sur le site,
mais toujours la meme erreur.
#6
@ loulou7593 : ce qu'on te dit, c'est que tu as déjà le package http (version 2.7) dans ton eggdrop par tcllib. Tu n'as donc pas besoin de charger le moindre http.tcl.
Ces packages, quelle que soit leur version, ne sont utiles que si tu as une version de tcllib trop vieille.
irc.zeolia.net - Offrez-moi un café
Merci de ne pas demander d'aide en MP
Away
#7
D'accord. Merci à vous pour vos réponses.
Je me demandais pourquoi ca me disait ca alors qu'avant je n'avais pas ces messages.

En tout cas cela a l'air de bien fonctionner maintenant :)
#8
J'imagine que tu as eu une mise à jour sur ton shell, le tcllib est passé à la version 8.5, donc le redémarrage de l'eggdrop provoquait cette erreur (le package http était du coup chargé deux fois, en plus avec des versions différentes).
irc.zeolia.net - Offrez-moi un café
Merci de ne pas demander d'aide en MP
Away
#9
En fait j'ai juste changé d'hebergeur, et c'est depuis ce changement que j'ai eu le soucis en voulant reinstaller mes Eggdrops.
#10
Voila donc l'explication. Ton nouvel hébergeur a ses librairies à jour, donc pas besoin d'utiliser http.tcl (qui est utile pour palier l'absence de la bonne librairie).
C'est une bonne nouvelle pour toi :)
irc.zeolia.net - Offrez-moi un café
Merci de ne pas demander d'aide en MP
Away
#11
Cool alors :)
En tout cas merci de vos réponses.


Possibly Related Threads…
Thread Author Replies Views Last Post
  [Script] "::http::register https 443 ::tls::socket" Kossiwa 12 3,991 07/06/2020, 18:55
Last Post: DaDIsS
  Petit soucis avec un script d'annonce de la saint du jour, etc... loulou7593 3 5,919 19/11/2011, 14:53
Last Post: CrazyCat
  soucis avec un script emprunté :s lesny 9 6,599 04/01/2011, 00:27
Last Post: lesny
  soucis avec un script de greet loulou7593 2 3,910 09/08/2009, 11:02
Last Post: loulou7593
  aide avec http.tcl jabaka 11 9,431 23/09/2008, 16:34
Last Post: tony62

Forum Jump:


Users browsing this thread: 1 Guest(s)